<template>
  <div class="relative flex-auto md:max-w-md">
    <MagnifyingGlassRegularIcon class="pointer-events-none absolute left-0 top-0 m-2.5 h-4 w-4 fill-gray-400" />
    <FormText
      class="pl-8"
      :placeholder="$t('app.form.search.placeholder')"
      :model-value="modelValue"
      name="search"
      @update:model-value="$emit('update:modelValue', $event)"
    />
  </div>
</template>

<script lang="ts" setup>
import FormText from "@/js/contexts/form/ui/components/FormText.vue";
import MagnifyingGlassRegularIcon from "@/svg/icons/magnifying-glass-regular.svg?component";

defineProps<{
  modelValue: string | null;
}>();

defineEmits<{
  "update:modelValue": [value: string | null];
}>();
</script>
